Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class DashboardContext

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.DashboardContext

All Implemented Interfaces:
  java.lang.Comparable, Context, PortalContainer, PortalObject

    public abstract class DashboardContext

extends java.lang.Object
implements Context

An implementation of the `Context` interface for dashboards.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.core.model.portal.PortalObject
`CONTEXT_MASK, DEFAULT_OBJECT_NAME, PAGE_MASK, PORTAL_MASK, PORTAL_PROP_DEFAULT_OBJECT_NAME, TYPE_CONTEXT, TYPE_PAGE, TYPE_PORTAL, TYPE_WINDOW, WINDOW_MASK`

Constructor Summary
`DashboardContext()`

Method Summary
`java.util.Collection` | `getChildren()` Return all the children of this object.
`java.util.Collection` | `getChildren(int mask)` Return all the children of this object filtered with a particular mask.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalContainer
`createPortal, getDefaultPortal, getPortal`

Methods inherited from interface org.jboss.portal.core.model.portal.PortalObject
`copy, destroyChild, getChild, getChild, getDeclaredProperties, getDeclaredProperty, getDisplayName, getId, getListener, getName, getParent, getProperties, getProperty, getType, setDeclaredProperty, setDisplayName, setListener`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### DashboardContext

    public DashboardContext()

Method Detail

### getChildren

    public java.util.Collection getChildren()

  Description copied from interface: `PortalObject`
  Return all the children of this object.

  Specified by:
    `getChildren` in interface `PortalObject`
  Returns:
    the children

### getChildren

    public java.util.Collection getChildren(int mask)

  Description copied from interface: `PortalObject`
  Return all the children of this object filtered with a particular mask.

  Specified by:
    `getChildren` in interface `PortalObject`
  Returns:
    the children

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD